{"swagger":"2.0","info":{"description":"Price2Spy REST API Documentation","title":"Price2Spy API"},"host":"api.price2spy.com","basePath":"/rest","tags":[{"name":"rest-api","description":"Rest Api"}],"paths":{"/v1/delete-brand":{"delete":{"tags":["rest-api"],"summary":"deleteBrand","operationId":"deleteBrandUsingDELETE","produces":["application/json"],"parameters":[{"in":"body","name":"deleteBrandType","description":"deleteBrandType","required":true,"schema":{"$ref":"#/definitions/DeleteMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetBrandsResponseType"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/delete-category":{"delete":{"tags":["rest-api"],"summary":"deleteCategory","operationId":"deleteCategoryUsingDELETE","produces":["application/json"],"parameters":[{"in":"body","name":"deleteCategoryType","description":"deleteCategoryType","required":true,"schema":{"$ref":"#/definitions/DeleteMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetCategoriesResponseType"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/delete-metadata1":{"delete":{"tags":["rest-api"],"summary":"deleteMetadata1","operationId":"deleteMetadata1UsingDELETE","produces":["application/json"],"parameters":[{"in":"body","name":"deleteMetadataType","description":"deleteMetadataType","required":true,"schema":{"$ref":"#/definitions/DeleteMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/delete-metadata2":{"delete":{"tags":["rest-api"],"summary":"deleteMetadata2","operationId":"deleteMetadata2UsingDELETE","produces":["application/json"],"parameters":[{"in":"body","name":"deleteMetadataType","description":"deleteMetadataType","required":true,"schema":{"$ref":"#/definitions/DeleteMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/delete-metadata3":{"delete":{"tags":["rest-api"],"summary":"deleteMetadata3","operationId":"deleteMetadata3UsingDELETE","produces":["application/json"],"parameters":[{"in":"body","name":"deleteMetadataType","description":"deleteMetadataType","required":true,"schema":{"$ref":"#/definitions/DeleteMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/delete-product/{id}":{"delete":{"tags":["rest-api"],"summary":"deleteProduct","operationId":"deleteProductUsingDELETE","produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/delete-supplier":{"delete":{"tags":["rest-api"],"summary":"deleteSupplier","operationId":"deleteSuppliersUsingDELETE","produces":["application/json"],"parameters":[{"in":"body","name":"deleteSupplierType","description":"deleteSupplierType","required":true,"schema":{"$ref":"#/definitions/DeleteMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetSuppliersResponseType"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/delete-url/{id}":{"delete":{"tags":["rest-api"],"summary":"deleteUrl","operationId":"deleteUrlUsingDELETE","produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"apiKeyAuth":[]}]}},"/v1/demote-automatch-url/{id}":{"get":{"tags":["rest-api"],"summary":"demoteAutomatchUrl","operationId":"demoteAutomatchUrlUsingGET","produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-automatch-urls":{"post":{"tags":["rest-api"],"summary":"getAutomatchUrls","operationId":"getAutomatchUrlsUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"searchUrls","description":"searchUrls","required":true,"schema":{"$ref":"#/definitions/SearchAutomatchUrlsType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetAutomatchUrlsResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-brands":{"get":{"tags":["rest-api"],"summary":"getBrands","operationId":"getBrandsUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetBrandsResponseType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-categories":{"get":{"tags":["rest-api"],"summary":"getCategories","operationId":"getCategoriesUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetCategoriesResponseType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-current-pricing-data":{"post":{"tags":["rest-api"],"summary":"getCurrentPricingData","operationId":"getCurrentPricingDataUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"searchProductsType","description":"searchProductsType","required":true,"schema":{"$ref":"#/definitions/SearchProductsType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetCurrentPricingDataResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-measurements":{"post":{"tags":["rest-api"],"summary":"getMeasurements","operationId":"getMeasurementsUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"searchMeasurementsType","description":"searchMeasurementsType","required":true,"schema":{"$ref":"#/definitions/SearchMeasurementsType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMeasurementsResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-metadata-1":{"get":{"tags":["rest-api"],"summary":"getMetadata1","operationId":"getMetadata1UsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-metadata-2":{"get":{"tags":["rest-api"],"summary":"getMetadata2","operationId":"getMetadata2UsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-metadata-3":{"get":{"tags":["rest-api"],"summary":"getMetadata3","operationId":"getMetadata3UsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-multiple-automatch-urls":{"post":{"tags":["rest-api"],"summary":"getMultipleAutomatchUrls","operationId":"getMultipleAutomatchUrlsUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"searchUrls","description":"searchUrls","required":true,"schema":{"$ref":"#/definitions/SearchMultipleAutomatchUrlsType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetAutomatchUrlsResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-price-buckets":{"get":{"tags":["rest-api"],"summary":"getPriceBuckets","operationId":"getPriceBucketsUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetPriceBucketsResponseType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-products":{"post":{"tags":["rest-api"],"summary":"getProducts","operationId":"getProductsUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"searchProductsType","description":"searchProductsType","required":true,"schema":{"$ref":"#/definitions/SearchProductsType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetProductsResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-suppliers":{"get":{"tags":["rest-api"],"summary":"getSuppliers","operationId":"getSuppliersUsingGET","produces":["application/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetSuppliersResponseType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/get-urls":{"post":{"tags":["rest-api"],"summary":"getUrls","operationId":"getUrlsUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"searchUrls","description":"searchUrls","required":true,"schema":{"$ref":"#/definitions/SearchUrlsType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetUrlsResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-brand":{"post":{"tags":["rest-api"],"summary":"insertBrand","operationId":"insertBrandUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertBrandType","description":"insertBrandType","required":true,"schema":{"$ref":"#/definitions/InsertMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetBrandsResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-category":{"post":{"tags":["rest-api"],"summary":"insertCategory","operationId":"insertCategoryUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertCategoryType","description":"insertCategoryType","required":true,"schema":{"$ref":"#/definitions/InsertMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetCategoriesResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-metadata1":{"post":{"tags":["rest-api"],"summary":"insertMetadata1","operationId":"insertMetadata1UsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertMetadataType","description":"insertMetadataType","required":true,"schema":{"$ref":"#/definitions/InsertMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-metadata2":{"post":{"tags":["rest-api"],"summary":"insertMetadata2","operationId":"insertMetadata2UsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertMetadataType","description":"insertMetadataType","required":true,"schema":{"$ref":"#/definitions/InsertMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-metadata3":{"post":{"tags":["rest-api"],"summary":"insertMetadata3","operationId":"insertMetadata3UsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertMetadataType","description":"insertMetadataType","required":true,"schema":{"$ref":"#/definitions/InsertMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-product":{"post":{"tags":["rest-api"],"summary":"insertProduct","operationId":"insertProductUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertProductType","description":"insertProductType","required":true,"schema":{"$ref":"#/definitions/InsertProductType"}}],"responses":{"201":{"description":"Created","schema":{"type":"integer"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-supplier":{"post":{"tags":["rest-api"],"summary":"insertSupplier","operationId":"insertSupplierUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertSupplierType","description":"insertSupplierType","required":true,"schema":{"$ref":"#/definitions/InsertMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetSuppliersResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/insert-url":{"post":{"tags":["rest-api"],"summary":"insertUrl","operationId":"insertUrlUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"insertUrlType","description":"insertUrlType","required":true,"schema":{"$ref":"#/definitions/InsertUrlType"}}],"responses":{"201":{"description":"Created","schema":{"type":"integer"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/promote-automatch-url/{id}":{"get":{"tags":["rest-api"],"summary":"promoteAutomatchUrl","operationId":"promoteAutomatchUrlUsingGET","produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"integer"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/reject-automatch-url/{id}":{"get":{"tags":["rest-api"],"summary":"rejectAutomatchUrl","operationId":"rejectAutomatchUrlUsingGET","produces":["application/json"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-brand":{"put":{"tags":["rest-api"],"summary":"updateBrand","operationId":"updateBrandUsingPUT","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateBrandType","description":"updateBrandType","required":true,"schema":{"$ref":"#/definitions/UpdateMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetBrandsResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-category":{"put":{"tags":["rest-api"],"summary":"updateCategory","operationId":"updateCategoryUsingPUT","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateCategoryType","description":"updateCategoryType","required":true,"schema":{"$ref":"#/definitions/UpdateMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetCategoriesResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-metadata1":{"put":{"tags":["rest-api"],"summary":"updateMetadata1","operationId":"updateMetadata1UsingPUT","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateMetadataType","description":"updateMetadataType","required":true,"schema":{"$ref":"#/definitions/UpdateMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-metadata2":{"put":{"tags":["rest-api"],"summary":"updateMetadata2","operationId":"updateMetadata2UsingPUT","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateMetadataType","description":"updateMetadataType","required":true,"schema":{"$ref":"#/definitions/UpdateMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-metadata3":{"put":{"tags":["rest-api"],"summary":"updateMetadata3","operationId":"updateMetadata3UsingPUT","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateMetadataType","description":"updateMetadataType","required":true,"schema":{"$ref":"#/definitions/UpdateMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetMetadataResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-product":{"post":{"tags":["rest-api"],"summary":"updateProduct","operationId":"updateProductUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateProductType","description":"updateProductType","required":true,"schema":{"$ref":"#/definitions/UpdateProductType"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-supplier":{"put":{"tags":["rest-api"],"summary":"updateSupplier","operationId":"updateSupplierUsingPUT","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateSupplierType","description":"updateSupplierType","required":true,"schema":{"$ref":"#/definitions/UpdateMetadataType"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/GetSuppliersResponseType"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}},"/v1/update-url":{"post":{"tags":["rest-api"],"summary":"updateUrl","operationId":"updateUrlUsingPOST","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"updateUrlType","description":"updateUrlType","required":true,"schema":{"$ref":"#/definitions/UpdateUrlType"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"apiKeyAuth":[]}]}}},"securityDefinitions":{"apiKeyAuth":{"type":"apiKey","name":"Authorization","in":"header"}},"definitions":{"ApiHealthCheckerResponseType":{"type":"object","properties":{"status":{"type":"boolean"}},"title":"ApiHealthCheckerResponseType"},"AutomatchUrlFieldType":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}},"title":"AutomatchUrlFieldType"},"AutomatchUrlFieldsType":{"type":"object","properties":{"automatchUrlField":{"type":"array","items":{"$ref":"#/definitions/AutomatchUrlFieldType"}}},"title":"AutomatchUrlFieldsType"},"AutomatchUrlType":{"type":"object","properties":{"addedById":{"type":"integer","format":"int32"},"approved":{"type":"boolean"},"automatchUrlFields":{"$ref":"#/definitions/AutomatchUrlFieldsType"},"automatchUrlId":{"type":"integer","format":"int64"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateApproved":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateChecked":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"matchAccuracy":{"type":"integer","format":"int32"},"modifiedById":{"type":"integer","format":"int32"},"url":{"type":"string"}},"title":"AutomatchUrlType"},"BrandType":{"type":"object","properties":{"active":{"type":"boolean"},"addedById":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"emailRecipient":{"type":"string"},"id":{"type":"integer","format":"int32"},"modifiedById":{"type":"integer","format":"int32"},"name":{"type":"string"},"priority":{"type":"integer","format":"int32"}},"title":"BrandType"},"CategoryType":{"type":"object","properties":{"active":{"type":"boolean"},"addedById":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"emailRecipient":{"type":"string"},"id":{"type":"integer","format":"int32"},"modifiedById":{"type":"integer","format":"int32"},"name":{"type":"string"},"priority":{"type":"integer","format":"int32"}},"title":"CategoryType"},"DeleteMetadataType":{"type":"object","properties":{"id":{"type":"integer","format":"int32"}},"title":"DeleteMetadataType"},"GetAutomatchUrlsResponseType":{"type":"object","properties":{"automatchUrl":{"type":"array","items":{"$ref":"#/definitions/AutomatchUrlType"}}},"title":"GetAutomatchUrlsResponseType"},"GetBrandsResponseType":{"type":"object","properties":{"brand":{"type":"array","items":{"$ref":"#/definitions/BrandType"}}},"title":"GetBrandsResponseType"},"GetCategoriesResponseType":{"type":"object","properties":{"category":{"type":"array","items":{"$ref":"#/definitions/CategoryType"}}},"title":"GetCategoriesResponseType"},"GetCurrentPricingDataResponseType":{"type":"object","properties":{"products":{"$ref":"#/definitions/ProductsWithUrlsType"}},"title":"GetCurrentPricingDataResponseType"},"GetMeasurementsResponseType":{"type":"object","properties":{"measurement":{"type":"array","items":{"$ref":"#/definitions/MeasurementType"}}},"title":"GetMeasurementsResponseType"},"GetMetadataResponseType":{"type":"object","properties":{"metadata":{"type":"array","items":{"$ref":"#/definitions/MetadataType"}}},"title":"GetMetadataResponseType"},"GetPriceBucketsResponseType":{"type":"object","properties":{"priceBucket":{"type":"array","items":{"$ref":"#/definitions/PriceBucketType"}}},"title":"GetPriceBucketsResponseType"},"GetProductsResponseType":{"type":"object","properties":{"product":{"type":"array","items":{"$ref":"#/definitions/ProductType"}}},"title":"GetProductsResponseType"},"GetSuppliersResponseType":{"type":"object","properties":{"supplier":{"type":"array","items":{"$ref":"#/definitions/SupplierType"}}},"title":"GetSuppliersResponseType"},"GetUrlsResponseType":{"type":"object","properties":{"url":{"type":"array","items":{"$ref":"#/definitions/UrlType"}}},"title":"GetUrlsResponseType"},"InsertMetadataType":{"type":"object","properties":{"active":{"type":"boolean"},"emailRecipients":{"type":"string"},"name":{"type":"string"},"priority":{"type":"integer","format":"int32"}},"title":"InsertMetadataType"},"InsertProductType":{"type":"object","properties":{"active":{"type":"boolean"},"brandName":{"type":"string"},"categoryName":{"type":"string"},"checkFrequencyInterval":{"type":"integer","format":"int32"},"checkFrequencyType":{"type":"string","enum":["DAYS","HOURS"]},"comment1":{"type":"string"},"comment2":{"type":"string"},"costPrice":{"type":"number"},"customField1":{"type":"string"},"customField10":{"type":"string"},"customField2":{"type":"string"},"customField3":{"type":"string"},"customField4":{"type":"string"},"customField5":{"type":"string"},"customField6":{"type":"string"},"customField7":{"type":"string"},"customField8":{"type":"string"},"customField9":{"type":"string"},"internalId":{"type":"string"},"metadata1Name":{"type":"string"},"metadata2Name":{"type":"string"},"metadata3Name":{"type":"string"},"productName":{"type":"string"},"sku":{"type":"string"},"supplierName":{"type":"string"},"targetPrice":{"type":"number"}},"title":"InsertProductType"},"InsertUrlType":{"type":"object","properties":{"active":{"type":"boolean"},"note1":{"type":"string"},"note2":{"type":"string"},"note3":{"type":"string"},"productId":{"type":"integer","format":"int64"},"showInReports":{"type":"boolean"},"url":{"type":"string"}},"title":"InsertUrlType"},"MeasurementType":{"type":"object","properties":{"available":{"type":"boolean"},"customField1":{"type":"string"},"customField10":{"type":"string"},"customField2":{"type":"string"},"customField3":{"type":"string"},"customField4":{"type":"string"},"customField5":{"type":"string"},"customField6":{"type":"string"},"customField7":{"type":"string"},"customField8":{"type":"string"},"customField9":{"type":"string"},"dateChecked":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"isOnPromotion":{"type":"boolean"},"price":{"$ref":"#/definitions/PriceType"},"promotionText":{"type":"string"},"screenshotUrl":{"type":"string"},"seller":{"type":"string"},"shelfPrice":{"type":"number"},"shippingCost":{"type":"number"},"shippingDetails":{"type":"string"},"shippingTime":{"type":"string"},"stockStatus":{"type":"string"}},"title":"MeasurementType"},"MetadataType":{"type":"object","properties":{"active":{"type":"boolean"},"addedById":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"emailRecipient":{"type":"string"},"id":{"type":"integer","format":"int32"},"modifiedById":{"type":"integer","format":"int32"},"name":{"type":"string"},"priority":{"type":"integer","format":"int32"}},"title":"MetadataType"},"PriceBucketType":{"type":"object","properties":{"addedById":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"id":{"type":"integer","format":"int32"},"modifiedById":{"type":"integer","format":"int32"},"name":{"type":"string"},"priceFrom":{"type":"number"},"priceTo":{"type":"number"}},"title":"PriceBucketType"},"PriceType":{"type":"object","properties":{"amount":{"type":"number"},"currency":{"type":"string"}},"title":"PriceType"},"ProductType":{"type":"object","properties":{"active":{"type":"boolean"},"addedById":{"type":"integer","format":"int32"},"brandId":{"type":"integer","format":"int32"},"brandName":{"type":"string"},"categoryId":{"type":"integer","format":"int32"},"categoryName":{"type":"string"},"checkFrequencyInterval":{"type":"integer","format":"int32"},"checkFrequencyType":{"type":"string","enum":["DAYS","HOURS"]},"comment1":{"type":"string"},"comment2":{"type":"string"},"costPrice":{"type":"number"},"customField1":{"type":"string"},"customField10":{"type":"string"},"customField2":{"type":"string"},"customField3":{"type":"string"},"customField4":{"type":"string"},"customField5":{"type":"string"},"customField6":{"type":"string"},"customField7":{"type":"string"},"customField8":{"type":"string"},"customField9":{"type":"string"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"internalId":{"type":"string"},"lastChange":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"lastChecked":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"maxPrice":{"$ref":"#/definitions/PriceType"},"metadata1Id":{"type":"integer","format":"int32"},"metadata1Name":{"type":"string"},"metadata2Id":{"type":"integer","format":"int32"},"metadata2Name":{"type":"string"},"metadata3Id":{"type":"integer","format":"int32"},"metadata3Name":{"type":"string"},"minPrice":{"$ref":"#/definitions/PriceType"},"modifiedById":{"type":"integer","format":"int32"},"nextChecked":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"productId":{"type":"integer","format":"int64"},"productName":{"type":"string"},"showInReports":{"type":"boolean"},"sku":{"type":"string"},"supplierId":{"type":"integer","format":"int32"},"supplierName":{"type":"string"},"targetPrice":{"type":"number"}},"title":"ProductType"},"ProductWithUrlsType":{"type":"object","properties":{"active":{"type":"boolean"},"addedById":{"type":"integer","format":"int32"},"brandId":{"type":"integer","format":"int32"},"brandName":{"type":"string"},"categoryId":{"type":"integer","format":"int32"},"categoryName":{"type":"string"},"checkFrequencyInterval":{"type":"integer","format":"int32"},"checkFrequencyType":{"type":"string","enum":["DAYS","HOURS"]},"comment1":{"type":"string"},"comment2":{"type":"string"},"costPrice":{"type":"number"},"customField1":{"type":"string"},"customField10":{"type":"string"},"customField2":{"type":"string"},"customField3":{"type":"string"},"customField4":{"type":"string"},"customField5":{"type":"string"},"customField6":{"type":"string"},"customField7":{"type":"string"},"customField8":{"type":"string"},"customField9":{"type":"string"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"internalId":{"type":"string"},"lastChange":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"lastChecked":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"maxPrice":{"$ref":"#/definitions/PriceType"},"metadata1Id":{"type":"integer","format":"int32"},"metadata1Name":{"type":"string"},"metadata2Id":{"type":"integer","format":"int32"},"metadata2Name":{"type":"string"},"metadata3Id":{"type":"integer","format":"int32"},"metadata3Name":{"type":"string"},"minPrice":{"$ref":"#/definitions/PriceType"},"modifiedById":{"type":"integer","format":"int32"},"nextChecked":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"productId":{"type":"integer","format":"int64"},"productName":{"type":"string"},"showInReports":{"type":"boolean"},"sku":{"type":"string"},"supplierId":{"type":"integer","format":"int32"},"supplierName":{"type":"string"},"targetPrice":{"type":"number"},"urls":{"$ref":"#/definitions/UrlsType"}},"title":"ProductWithUrlsType"},"ProductsWithUrlsType":{"type":"object","properties":{"product":{"type":"array","items":{"$ref":"#/definitions/ProductWithUrlsType"}}},"title":"ProductsWithUrlsType"},"SearchAutomatchUrlsType":{"type":"object","properties":{"id":{"type":"string"},"idMode":{"type":"string","enum":["ID","SKU","INTERNAL_ID","NAME","ANY"]}},"title":"SearchAutomatchUrlsType"},"SearchMeasurementsType":{"type":"object","properties":{"dateCheckedFrom":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateCheckedTo":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"urlId":{"type":"integer","format":"int64"}},"title":"SearchMeasurementsType"},"SearchMultipleAutomatchUrlsType":{"type":"object","properties":{"active":{"type":"boolean"},"brandId":{"type":"integer","format":"int32"},"brandName":{"type":"string"},"categoryId":{"type":"integer","format":"int32"},"categoryName":{"type":"string"},"comment1":{"type":"string"},"comment2":{"type":"string"},"customField1":{"type":"string"},"customField10":{"type":"string"},"customField2":{"type":"string"},"customField3":{"type":"string"},"customField4":{"type":"string"},"customField5":{"type":"string"},"customField6":{"type":"string"},"customField7":{"type":"string"},"customField8":{"type":"string"},"customField9":{"type":"string"},"dateAutomatchFrom":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateAutomatchTo":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"emailRecipients":{"type":"string"},"internalId":{"type":"string"},"metadata1Id":{"type":"integer","format":"int32"},"metadata1Name":{"type":"string"},"metadata2Id":{"type":"integer","format":"int32"},"metadata2Name":{"type":"string"},"metadata3Id":{"type":"integer","format":"int32"},"metadata3Name":{"type":"string"},"priority":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int64"},"productName":{"type":"string"},"searchMode":{"type":"string","enum":["LIKE","EQUAL"]},"sku":{"type":"string"},"supplierId":{"type":"integer","format":"int32"},"supplierName":{"type":"string"},"url":{"type":"string"}},"title":"SearchMultipleAutomatchUrlsType"},"SearchProductsType":{"type":"object","properties":{"active":{"type":"boolean"},"brandId":{"type":"integer","format":"int32"},"brandName":{"type":"string"},"categoryId":{"type":"integer","format":"int32"},"categoryName":{"type":"string"},"comment1":{"type":"string"},"comment2":{"type":"string"},"customField1":{"type":"string"},"customField10":{"type":"string"},"customField2":{"type":"string"},"customField3":{"type":"string"},"customField4":{"type":"string"},"customField5":{"type":"string"},"customField6":{"type":"string"},"customField7":{"type":"string"},"customField8":{"type":"string"},"customField9":{"type":"string"},"dateAutomatchFrom":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateAutomatchTo":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateChangeFrom":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateChangeTo":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"emailRecipients":{"type":"string"},"internalId":{"type":"string"},"metadata1Id":{"type":"integer","format":"int32"},"metadata1Name":{"type":"string"},"metadata2Id":{"type":"integer","format":"int32"},"metadata2Name":{"type":"string"},"metadata3Id":{"type":"integer","format":"int32"},"metadata3Name":{"type":"string"},"priority":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int64"},"productName":{"type":"string"},"searchMode":{"type":"string","enum":["LIKE","EQUAL"]},"sku":{"type":"string"},"supplierId":{"type":"integer","format":"int32"},"supplierName":{"type":"string"},"url":{"type":"string"}},"title":"SearchProductsType"},"SearchUrlsType":{"type":"object","properties":{"id":{"type":"string"},"idMode":{"type":"string","enum":["ID","SKU","INTERNAL_ID","NAME","ANY"]},"searchMode":{"type":"string","enum":["LIKE","EQUAL"]}},"title":"SearchUrlsType"},"SupplierType":{"type":"object","properties":{"active":{"type":"boolean"},"addedById":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"emailRecipient":{"type":"string"},"id":{"type":"integer","format":"int32"},"modifiedById":{"type":"integer","format":"int32"},"name":{"type":"string"},"priority":{"type":"integer","format":"int32"}},"title":"SupplierType"},"UpdateMetadataType":{"type":"object","properties":{"active":{"type":"boolean"},"emailRecipients":{"type":"string"},"id":{"type":"integer","format":"int32"},"name":{"type":"string"},"priority":{"type":"integer","format":"int32"}},"title":"UpdateMetadataType"},"UpdateProductType":{"type":"object","properties":{"active":{"type":"boolean"},"brandName":{"type":"string"},"categoryName":{"type":"string"},"checkFrequencyInterval":{"type":"integer","format":"int32"},"checkFrequencyType":{"type":"string","enum":["DAYS","HOURS"]},"comment1":{"type":"string"},"comment2":{"type":"string"},"costPrice":{"type":"number"},"customField1":{"type":"string"},"customField10":{"type":"string"},"customField2":{"type":"string"},"customField3":{"type":"string"},"customField4":{"type":"string"},"customField5":{"type":"string"},"customField6":{"type":"string"},"customField7":{"type":"string"},"customField8":{"type":"string"},"customField9":{"type":"string"},"internalId":{"type":"string"},"metadata1Name":{"type":"string"},"metadata2Name":{"type":"string"},"metadata3Name":{"type":"string"},"productId":{"type":"integer","format":"int64"},"productName":{"type":"string"},"sku":{"type":"string"},"supplierName":{"type":"string"},"targetPrice":{"type":"number"}},"title":"UpdateProductType"},"UpdateUrlType":{"type":"object","properties":{"active":{"type":"boolean"},"counterFailed":{"type":"integer","format":"int32"},"note1":{"type":"string"},"note2":{"type":"string"},"note3":{"type":"string"},"showInReports":{"type":"boolean"},"url":{"type":"string"},"urlId":{"type":"integer","format":"int64"}},"title":"UpdateUrlType"},"UrlType":{"type":"object","properties":{"active":{"type":"boolean"},"addedById":{"type":"integer","format":"int32"},"automatchUrl":{"$ref":"#/definitions/AutomatchUrlType"},"counterFailed":{"type":"integer","format":"int32"},"dateAdded":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"dateModified":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"image1Url":{"type":"string"},"image2Url":{"type":"string"},"image3Url":{"type":"string"},"lastChecked":{"type":"string","example":"yyyy-MM-dd HH:mm:ss"},"lastError":{"type":"string"},"lastMeasurement":{"$ref":"#/definitions/MeasurementType"},"modifiedById":{"type":"integer","format":"int32"},"note1":{"type":"string"},"note2":{"type":"string"},"note3":{"type":"string"},"productName":{"type":"string"},"secondToLastMeasurement":{"$ref":"#/definitions/MeasurementType"},"showInReports":{"type":"boolean"},"siteCountryISOCode":{"type":"string"},"siteHumanName":{"type":"string"},"url":{"type":"string"},"urlId":{"type":"integer","format":"int64"}},"title":"UrlType"},"UrlsType":{"type":"object","properties":{"url":{"type":"array","items":{"$ref":"#/definitions/UrlType"}}},"title":"UrlsType"}}}